Create Policy
curl --request POST \
--url https://api.example.com/cabinet/admin/rbac/policies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"effect": "<string>",
"resource": "<string>",
"description": "<string>",
"role_id": 123,
"priority": 0,
"conditions": {},
"actions": [
"<string>"
]
}
'import requests
url = "https://api.example.com/cabinet/admin/rbac/policies"
payload = {
"name": "<string>",
"effect": "<string>",
"resource": "<string>",
"description": "<string>",
"role_id": 123,
"priority": 0,
"conditions": {},
"actions": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
effect: '<string>',
resource: '<string>',
description: '<string>',
role_id: 123,
priority: 0,
conditions: {},
actions: ['<string>']
})
};
fetch('https://api.example.com/cabinet/admin/rbac/policies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"priority": 123,
"effect": "<string>",
"resource": "<string>",
"is_active": true,
"description": "<string>",
"role_id": 123,
"role_name": "<string>",
"conditions": {},
"actions": [
"<string>"
],
"created_by": 123,
"created_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Admin RBAC Policies
Create Policy
Create a new access policy (ABAC rule).
POST
/
cabinet
/
admin
/
rbac
/
policies
Create Policy
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Create a new access policy.
Response
Successful Response
Access policy response.
⌘I
